API reference
GitHub
POST
bearerheader
AuthorizationBearer <token>OK
application/json- response
url*stringcurl -X POST 'https://api.keko.run/v1/github/install'Example Response
{ "url": "string"}GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
installations*array<>curl -X GET 'https://api.keko.run/v1/github/installations'Example Response
{ "installations": [ { "id": 0, "accountLogin": "string", "accountType": "string", "repositorySelection": "string", "suspended": true } ]}GET
bearerheader
AuthorizationBearer <token>cursor?stringLength
length <= 512perPage?integerRange
1 <= value <= 100Default
100OK
application/json- response
repositories*array<>next*string|nullcurl -X GET 'https://api.keko.run/v1/github/repositories'Example Response
{ "repositories": [ { "id": 0, "fullName": "string", "private": true, "defaultBranch": "string", "installationId": 0 } ], "next": "string"}POST
bearerheader
AuthorizationBearer <token>application/json- body
repository*stringMatch
^[A-Za-z0-9-]{1,39}\/[A-Za-z0-9._-]{1,100}$purpose*stringValue in
"read""write""review"OK
application/json- response
token*stringexpiresAt*string|nullkind*stringValue in
"user""installation"curl -X POST 'https://api.keko.run/v1/github/token' \ -H 'Content-Type: application/json' \ -d '{ "repository": "string", "purpose": "read"}'Example Response
{ "token": "string", "expiresAt": "string", "kind": "user"}GET
bearerheader
AuthorizationBearer <token>after?stringLength
length <= 256limit?integerRange
1 <= value <= 100Default
50OK
application/json- response
events*array<>next*stringcurl -X GET 'https://api.keko.run/v1/github/events'Example Response
{ "events": [ { "deliveryId": "string", "event": "string", "action": "string", "repository": "string", "installationId": 0, "receivedAt": "string", "payload": "string" } ], "next": "string"}POST
bearerheader
AuthorizationBearer <token>OK
application/json- response
grant*stringexpiresAt*stringcurl -X POST 'https://api.keko.run/v1/github/grant'Example Response
{ "grant": "string", "expiresAt": "string"}